Help Test Default Compatibility for Add-ons on Aurora

Amy Tsay

11

The latest phase of our add-on compatibility plan has arrived in Aurora, and we need your help to test it! Since Firefox 4, we have been automatically making add-ons hosted on AMO compatible with new Firefox releases. Now, we have extended automatic compatibility to non-hosted add-ons, which account for 75% of all add-ons in use (currently in the hundreds of millions). This means you should see less of the incompatible add-ons dialog, and more of your add-ons should just work.

You can read more about the plan, including how we determine eligibility for automatic compatibility here. For additional background reading, check out this blog post.

Once you have Aurora installed, all add-ons that are compatible with Firefox 4 or later can be installed without extra steps. Firefox will install them even if they are declared incompatible in the manifest file.

If you don’t already have Aurora installed, you can get it here. With Aurora, you’ll see our newest features before they go beta, and have a chance to send us feedback before the final release.

Please send us feedback or file bugs on the new default to compatible feature here. We look forward to hearing from you!

11 responses

  1. ronw wrote on :

    Should you uninstall the Add-On Compatibility Reporter to properly test this?

    1. Amy Tsay wrote on ::

      Hi Ron, that shouldn’t be necessary.

  2. Friedrich Haussmann wrote on ::

    Hello

    I was wondering where these stats come from ( only 25% of all add-ons are hosted by mozilla ). Does this include popular expansions as the flash player. Are they maybe influenced by auto-installing add-ons like some toolbars and stuff from third-party applications ?

    I am asking because I never went to a website and installed an Add-On there if it did not at least have a prior version reviewed by addons.mozilla.org. And I can’t possibly imagine that 75% of all Add-ons get installed this way.

    Thanks,
    Friedrich

    1. Jorge Villalobos wrote on ::

      The stats account for add-on installs, not add-ons. Most add-ons with top install counts are, like you suggest, automatically added into Firefox by other applications. Those are the ones that were targeted on the Firefox 8 update, where all users were given the choice to remove them or keep them. Still, there are many very popular add-ons that are not hosted on AMO and are installed voluntarily by users.

  3. William wrote on :

    I am running both Firefox & Aurora….will they both update their add-ons automatically ??

    1. Amy Tsay wrote on ::

      Hi William, each should handle their own add-ons, yes. You probably shouldn’t run both browsers at the same time.

  4. André wrote on ::

    2 of the addons are incompatible. How can I enable them again?

    Setting extensions.checkCompatibility.10.0a to false helps 1 time, next restart the addons are disabled again and extensions.checkCompatibility.10.0a is removed from the config :(

    1. Amy Tsay wrote on ::

      Hi Andre, your problem is probably related to this bug: https://bugzilla.mozilla.org/show_bug.cgi?id=709225. For now, disabling ACR should let you set
      the checkCompatibility preference.

      1. André wrote on ::

        ok, reverting back to ACR version 1.0 fixes it.

  5. lovinglinux wrote on ::

    So far working wonderfully with the 62 extensions I have enabled.

  6. Archie wrote on :

    it would really help if you didn’t change firefox compatibility with add-ons every 6 weeks, because they always seem to have problems.

    What on earth is wrong with keeping a stable (fast) browser – the premise that Firefox was launched on?

    There is is no need to play catch up with numbers aka chrome and IE; the fact that firefox works and has lower revisions should be a thing to be prod of.

    BTW – apparently FF 9 has been upgraded with yet another performance enhancement – just like the last 6 upgrades; yet I see no actual improvement in use whatsoever; just lots of wasted time trying to upgrade or workaround add-ins that can’t keep up.

    “Its not good and its not clever
    and will all end in tears.”